galaxy-influx.create.db
=======================

Galaxy role to create InfluxDB database and user

Requirements
------------

InfluxDB service up and running

Role Variables
--------------

- db_name: name of the db to create
- user_name: name of the user to create
- user_pass: user password

- admin_user: name of admin user
- admin_pass: password of admin user

- is_admin: true/false, to enable admin mode or not

- priv: READ/WRITE/ALL, to setup database priv of user_name on db_name

- policy_name: name of the retention policy to apply
- policy_duration: duration of the retention policy to apply
- policy_replication: policy replication

Dependencies
------------

- galaxy-influx

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - role: galaxy-influx.create.db

Run tests
---------

Needs galaxy-vagrant to run tests

Ensure galaxy-vagrant is up

    ansible-playbook -i tests/inventory tests/test.yml
